Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mail.servlets
Class MailPreviewServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.bea.p13n.mail.servlets.MailPreviewServlet

All Implemented Interfaces
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class MailPreviewServlet

extends javax.servlet.http.HttpServlet

Servlet to provide a preview of a JSP-generated mail message. This servlet expects at least one parameter, called "uri", that contains the URI for it to call. Any other parameters will be passed on to that URI.

This servlet requires the MailService to be at java:comp/env/ejb/MailService.

See Also
  Serialized Form

Constructor Summary
`MailPreviewServlet()`

Method Summary
`protected MailService` | `getMailService()` Get the mail service to use.
`void` | `init()`
`void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected void` | `showError(String error, Throwable ex, javax.servlet.http.HttpServletResponse resp)` Print an error message to the output stream.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailPreviewServlet

    public MailPreviewServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse res)
                 throws IOException,
                        javax.servlet.ServletException

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Throws
    `IOException`
    `javax.servlet.ServletException`

### getMailService

    protected MailService getMailService()
                                  throws javax.ejb.CreateException,
                                         RemoteException

  Get the mail service to use.

  Throws
    `javax.ejb.CreateException`
    `RemoteException`

### showError

    protected void showError(String error,
                             Throwable ex,
                             javax.servlet.http.HttpServletResponse resp)
                      throws javax.servlet.ServletException,
                             IOException

  Print an error message to the output stream.

  This assumes that nothing has been put on the response yet.

  Parameters
    `error` - the error message.
    `ex` - a possible exception.
    `resp` - the response to output to.
  Throws
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.